libwpg: libwpg::Header Class Reference documentation

# libwpg::Header Class Reference

List of all members.

## Public Member Functions
| Header ()
bool | valid ()
void | load (const unsigned char *buffer)
void | save (unsigned char *buffer)
void | debug ()
## Public Attributes
unsigned char | id [8]
unsigned | b_shift
unsigned | s_shift
unsigned | num_bat
unsigned | dirent_start
unsigned | threshold
unsigned | sbat_start
unsigned | num_sbat
unsigned | mbat_start
unsigned | num_mbat
unsigned long | bb_blocks [109]

## Constructor & Destructor Documentation

libwpg::Header::Header | ( |  | ) |

## Member Function Documentation

bool libwpg::Header::valid | ( |  | ) |

Referenced by libwpg::StorageIO::load().

void libwpg::Header::load | ( | const unsigned char * | buffer | ) |

Referenced by libwpg::StorageIO::load().

void libwpg::Header::save | ( | unsigned char * | buffer | ) |

void libwpg::Header::debug | ( |  | ) |

## Member Data Documentation

unsigned char libwpg::Header::id[8]

Referenced by libwpg::StorageIO::load().

unsigned libwpg::Header::b_shift

Referenced by libwpg::StorageIO::load(), load(), libwpg::StorageIO::StorageIO(), and valid().

unsigned libwpg::Header::s_shift

Referenced by libwpg::StorageIO::load(), load(), libwpg::StorageIO::StorageIO(), and valid().

unsigned libwpg::Header::num_bat

Referenced by libwpg::StorageIO::load(), load(), and valid().

unsigned libwpg::Header::dirent_start

Referenced by libwpg::StorageIO::load(), and load().

unsigned libwpg::Header::threshold

Referenced by libwpg::StorageIO::load(), load(), libwpg::StreamIO::read(), libwpg::StreamIO::StreamIO(), and valid().

unsigned libwpg::Header::sbat_start

Referenced by libwpg::StorageIO::load(), and load().

unsigned libwpg::Header::num_sbat

Referenced by load().

unsigned libwpg::Header::mbat_start

Referenced by libwpg::StorageIO::load(), and load().

unsigned libwpg::Header::num_mbat

Referenced by libwpg::StorageIO::load(), load(), and valid().

unsigned long libwpg::Header::bb_blocks[109]

Referenced by Header(), libwpg::StorageIO::load(), and load().

The documentation for this class was generated from the following file:

- WPGOLEStream.cpp